﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamGridPagerSizeBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();            
        }
    }

    public class Data
    {
        public int Age { get; set; }
        public string Name { get; set; }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            Items = new ObservableCollection<Data>();
            for (int i = 0; i < 100; i++)
            {
                Items.Add(new Data() { Name = "person" + i, Age = i });
            }
            MaxRecordCount = 35;
        }
        public int MaxRecordCount { get; set; }
        public ObservableCollection<Data> Items { get; set; }
    }
}
